<?php
namespace Aventa;

function rad_elementor_live_styles() {

    echo "<script id=\"rad_elementor_editor_style_template\" type=\"text/template\">";
    echo "#header.overlay:before { background-color:%header_overlay%;}";

    echo "#header *,#header h1,#cat-disply li span { color:%text_color%;}";
    echo "#header a .underline-style:after { background-color:%text_color)%;}";
    echo "#header .woocommerce-breadcrumb span { border-color:%text_color)%;}";

    echo "#rad-menu .wishlist-btn .number,#rad-menu .cart-btn .cart-count {";
    echo "color:%initial_shop_cart_text_color%";
    echo "}";

    echo "#rad-menu:hover .wishlist-btn .number,
    #rad-menu.state2 .wishlist-btn .number,
    #rad-menu:hover .cart-btn .cart-count,
    #rad-menu.state2 .cart-btn .cart-count {";
    echo "color:%shop_cart_text_color%;";
    echo "}";

    echo "header .hamburger-menu-btn span,
    header .hamburger-menu-btn span:before,
    header .hamburger-menu-btn span:after,
    #rad-menu .navigation li a > span:before,
    #rad-menu:hover .navigation li a:before {";
    echo "background-color:%initialMenuTextColor%";
    echo "}";    

    echo "header.state2 .hamburger-menu-btn span,
    header.double-state:hover .hamburger-menu-btn span,
    header.state2 .hamburger-menu-btn span:before,
    header.double-state:hover .hamburger-menu-btn span:before,
    header.state2 .hamburger-menu-btn span:after,
    header.double-state:hover .hamburger-menu-btn span:after,
    #rad-menu.state2 .navigation li a:before,
    #rad-menu.double-state:hover .navigation li a:before {";
    echo "background-color:%menuTextColor%";
    echo "}";

    echo "#rad-menu #menu-bg {";
    echo "background-color:%initialMenuBgColor%";
    echo "border-color:%initialMenuBorderColor%";
    echo "}";

    echo "#rad-menu.double-state:not(.aside-open):hover #menu-bg, #rad-menu.state2 #menu-bg, #rad-menu.search-active #menu-bg {";
    echo "background-color:%menuBgColor%";
    echo "border-color: %menuBorderColor%";
    echo "}";

    echo "#rad-menu .navigation > ul > li > a,
    #rad-menu .search-button,
    #rad-menu .wishlist-btn,
    #rad-menu .header-account > a,
    #rad-menu .header-currency .dd-selected-text,
    #rad-menu .cart-btn {";
    echo "color:%initialMenuTextColor%;";
    echo "fill:%initialMenuTextColor%";
    echo "}";

    echo ".header-currency .dd-selected .dd-selected-text:after,
    .header-currency .dd-selected .dd-selected-text:before {";
    echo "border-color:%initialMenuTextColor%";
    echo "}";

    echo "#rad-menu .wishlist-btn .number,#rad-menu .cart-btn .cart-count {";
    echo "background-color:%initialMenuTextColor%";
    echo "}";

    echo "#rad-menu.double-state:hover .navigation li a > span:before,
    #rad-menu.state2 .navigation li a > span:before,
    #rad-menu.state2 .wishlist-btn .number,
    #rad-menu.double-state:hover .wishlist-btn .number,
    #rad-menu.state2 .cart-btn .cart-count,
    #rad-menu.double-state:hover .cart-btn .cart-count {";
    echo "background-color:%menuTextColor%";
    echo "}"; 

    echo "#rad-menu.state2 .navigation > ul > li > a,
    #rad-menu.double-state:hover .navigation > ul > li > a,
    #rad-menu.state2 .search-button,
    #rad-menu.double-state:hover .search-button,
    #rad-menu.state2 .wishlist-btn,
    #rad-menu.double-state:hover .wishlist-btn,
    #rad-menu.state2 .header-account > a,
    #rad-menu.double-state:hover .header-account > a,
    #rad-menu.state2 .cart-btn:before,
    #rad-menu.double-state:hover .cart-btn:before,
    #rad-menu.state2 .header-currency .dd-selected-text,
    #rad-menu.double-state:hover .header-currency .dd-selected-text,
    #rad-menu.state2 .cart-btn,
    #rad-menu.double-state:hover .cart-btn {";
    echo "color:%menuTextColor%;";
    echo "fill:%menuTextColor%";
    echo "}";

    echo "#rad-menu.state2 .dd-selected .header-currency .dd-selected-text:after,
    #rad-menu.double-state:hover .header-currency .dd-selected .dd-selected-text:after,
    #rad-menu.state2 .dd-selected .header-currency .dd-selected-text:before,
    #rad-menu.double-state:hover .header-currency .dd-selected .dd-selected-text:before {";
    echo "border-color:%menuTextColor%";
    echo "}";
    echo "</script>";
}

rad_elementor_live_styles();


?>
